Subject: [Idr] Update to update to BGP-LS registries

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 26 Jul 2019 15:39:39 +0100

Hi,

jgs spotted some typos (I didn't have time to run spell check before this
morning).
Donald pointed out a concern with the guidance to the DE.

Best,
Adrian

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of
[email-masked]
Sent: 26 July 2019 15:35
To: [email-masked]
Subject: I-D Action: draft-farrel-idr-bgp-ls-registry-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts
directories.

        Title           : Updates to the Allocation Policy for the Border
Gateway Protocol - Link State (BGP-LS) Parameters Registries
        Author          : Adrian Farrel
	Filename        : draft-farrel-idr-bgp-ls-registry-01.txt
	Pages           : 4
	Date            : 2019-07-26

Abstract:
   RFC 7752 defines Border Gateway Protocol - Link State (BGP-LS).  IANA
   created a registry consistent with that document called the "Border
   Gateway Protocol - Link State (BGP-LS) Parameters Registry" with a
   number of sub-registries.  The allocation policy applied by IANA for
   those policies is "Specification Required" as defined in RFC 8126.

   This document updates RFC 7752 by changing the allocation policy for
   all of the registries to "Expert Review."

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-farrel-idr-bgp-ls-registry/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-farrel-idr-bgp-ls-registry-01
https://datatracker.ietf.org/doc/html/draft-farrel-idr-bgp-ls-registry-01

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-farrel-idr-bgp-ls-registry-01

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 26 Jul 2019 15:49:53 +0000

Hello Adrian,

IMO Specification Required is still the right and correct mechanism - we do need a specification that is available permanently!

Just because of a misalignment between "permanent archival/availability" aspect and this text related to I-Ds that say they are "temporary", we should not fall back to Expert Review. Specification Required includes Expert Review.

Why can't RFC8126 be fixed to say that for the purpose of Specification Required, the I-Ds are acceptable. We definitely do need defined TLVs and documentation of their usage. Otherwise, things can get chaotic.

Please excuse my ignorance of the IANA/IETF procedures and correct me.

Thanks,
Ketan

-----Original Message-----
From: Idr <[email-masked]> On Behalf Of Adrian Farrel
Sent: 26 July 2019 10:40
To: 'idr wg' <[email-masked]>
Subject: [Idr] Update to update to BGP-LS registries

Hi,

jgs spotted some typos (I didn't have time to run spell check before this morning).
Donald pointed out a concern with the guidance to the DE.

Best,
Adrian

-----Original Message-----
From: I-D-Announce <[email-masked]> On Behalf Of [email-masked]
Sent: 26 July 2019 15:35
To: [email-masked]
Subject: I-D Action: draft-farrel-idr-bgp-ls-registry-01.txt

A New Internet-Draft is available from the on-line Internet-Drafts directories.

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: John Scudder <[email-masked]>
Date: Fri, 26 Jul 2019 17:04:37 +0000

Hi Ketan,

I am hoping our hallway conversation after the meeting resolved your concern, but if it didn’t please follow up.

Regards,

—John

> On Jul 26, 2019, at 11:49 AM, Ketan Talaulikar (ketant) <[email-masked]> wrote:
> 
> Hello Adrian,
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_draft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=R1TAcTsN7xepgditnUCKDpLV9WoW1Pq8yEAdIAOIML0&e= 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_html_draft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry-2D01&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=S5GHtyQ8611WNm2lZsg5gHK7S3OHDqJ0NCZORFqiUYg&e= 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.org_doc_html_draft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry-2D01&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=i4FEaExODAwpnFJQR3e6O36ktmC3FMS47b1UywCuKlI&e= 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcdiff-3Furl2-3Ddraft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry-2D01&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=7GEPMinWav-18F06WFmdw7SgfQg3n0cgNlMwWK1pOCQ&e= 
> 
> 
> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_internet-2Ddrafts_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=IlXninzcXMEA64Whqq0Lu0psLnm57lYZSTLOg0dbPJY&e= 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_i-2Dd-2Dannounce&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=lB5_82MdDfY71CZaIl5KCSjrLUf823qSf16l8uu-EB4&e= 
> Internet-Draft directories: https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_shadow.html&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=h1qZhDf_9V-RiTRaBSdkcIqtk1eLBDoq63Z_U0XLpYo&e=  or https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_ietf_1shadow-2Dsites.txt&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=TXmVN0zz6g0IT2v2aS4u2HZwPuq0Mj5AshgV4MCs4sw&e= 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_idr&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=8jy4XcQxEbAIMIuFA0l9SrXl0bCu66z0XXvJ0VoJSF0&e= 
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mailman_listinfo_idr&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=8jy4XcQxEbAIMIuFA0l9SrXl0bCu66z0XXvJ0VoJSF0&e=

---

From: "Ketan Talaulikar (ketant)" <[email-masked]>
Date: Fri, 26 Jul 2019 23:10:55 +0000

Hi John,

I have absolutely no issue (and completely agree) with the text that Adrian has proposed for the DE guidelines in https://datatracker.ietf.org/doc/html/draft-farrel-idr-bgp-ls-registry-01#section-2.1 and I do defer to his expertise & experience on this. (Adrian, now it is in writing 😉)

My only point was that we are changing the policy from Specification Required to Expert Review only because of this bit about IDs not being "permanent". As such it perhaps needs a broader look from IANA and as advised by Alvaro, I will share this feedback with them.

The point regarding process overheads and additional gatekeepers that you referred to was with the Early Allocation Process defined in RFC7120. However, I believe we are talking "allocation" under Specification Required and not "early allocation" - so the process described in RFC7120 does not apply? I somehow got the impression that RFC7120 was more about the schemes that were more stringent that Specification Required as described in RFC8126. I may be wrong.

In any case, I have no issues with the proposal on table and I will just share my feedback with IANA for them to review.

Thanks,
Ketan 

-----Original Message-----
From: John Scudder <[email-masked]> 
Sent: 26 July 2019 13:05
To: Ketan Talaulikar (ketant) <[email-masked]>
Cc: [email-masked]; idr wg <[email-masked]>
Subject: Re: [Idr] Update to update to BGP-LS registries

Hi Ketan,

Regards,

—John

> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.
> org_doc_draft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry_&d=DwICAg&c=HAkYuh6
> 3rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgN
> J7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=R1TAcTsN7xepgditnUCKDpLV9WoW1P
> q8yEAdIAOIML0&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__tools.ietf.org_ht
> ml_draft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry-2D01&d=DwICAg&c=HAkYuh63
> rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ
> 7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=S5GHtyQ8611WNm2lZsg5gHK7S3OHDqJ
> 0NCZORFqiUYg&e= 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__datatracker.ietf.
> org_doc_html_draft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry-2D01&d=DwICAg&
> c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A
> &m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=i4FEaExODAwpnFJQR3e6O
> 36ktmC3FMS47b1UywCuKlI&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_rfcd
> iff-3Furl2-3Ddraft-2Dfarrel-2Didr-2Dbgp-2Dls-2Dregistry-2D01&d=DwICAg&
> c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A
> &m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=7GEPMinWav-18F06WFmdw
> 7SgfQg3n0cgNlMwWK1pOCQ&e=
> 
> 
> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_intern
> et-2Ddrafts_&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=
> hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s
> =IlXninzcXMEA64Whqq0Lu0psLnm57lYZSTLOg0dbPJY&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> man_listinfo_i-2Dd-2Dannounce&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-n
> db3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8o
> PwP-ZWnWxJHrpJE&s=lB5_82MdDfY71CZaIl5KCSjrLUf823qSf16l8uu-EB4&e=
> Internet-Draft directories: 
> https://urldefense.proofpoint.com/v2/url?u=http-3A__www.ietf.org_shado
> w.html&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iD
> Jpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=h1qZh
> Df_9V-RiTRaBSdkcIqtk1eLBDoq63Z_U0XLpYo&e=  or 
> https://urldefense.proofpoint.com/v2/url?u=ftp-3A__ftp.ietf.org_ietf_1
> shadow-2Dsites.txt&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWz
> oCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJH
> rpJE&s=TXmVN0zz6g0IT2v2aS4u2HZwPuq0Mj5AshgV4MCs4sw&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> man_listinfo_idr&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoC
> I&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrp
> JE&s=8jy4XcQxEbAIMIuFA0l9SrXl0bCu66z0XXvJ0VoJSF0&e=
> 
> https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_mail
> man_listinfo_idr&d=DwICAg&c=HAkYuh63rsuhr6Scbfh0UjBXeMK-ndb3voDTXcWzoCI&r=hLt5iDJpw7ukqICc0hoT7A&m=xPuRgNJ7XqUv2y23lo-jodi1lW8oPwP-ZWnWxJHrpJE&s=8jy4XcQxEbAIMIuFA0l9SrXl0bCu66z0XXvJ0VoJSF0&e=

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 27 Jul 2019 00:47:34 +0100

Thanks Ketan,

I believe you have captured all elements of this discussion.

*If* an I-D can reliably be considered as "permanent" reference, then Specification Required would, indeed, be fine. And you are right that one way to get the effect we want is to change (or clarify) 8126 so that I-Ds can be considered permanent records.

There are those in the community who consider this to already be the case. There are some who say that the Designated Expert can make this judgement for a Specification Required registry. There are some who say "over my dead body!"

8126 is an IETF wide document and we can expect making an IETF consensus change to be slow under the best of circumstances. In the case where there is division, we can achieve what we want by just changing the policy for our own registry.

Path of least resistance (TM).

Best,
Adrian

-----Original Message-----
From: Ketan Talaulikar (ketant) <[email-masked]> 
Sent: 27 July 2019 00:11
To: John Scudder <[email-masked]>
Cc: [email-masked]; idr wg <[email-masked]>
Subject: RE: [Idr] Update to update to BGP-LS registries

Hi John,

Thanks,
Ketan 

-----Original Message-----
From: John Scudder <[email-masked]> 
Sent: 26 July 2019 13:05
To: Ketan Talaulikar (ketant) <[email-masked]>
Cc: [email-masked]; idr wg <[email-masked]>
Subject: Re: [Idr] Update to update to BGP-LS registries

Hi Ketan,

Regards,

—John

---

From: Donald Eastlake <[email-masked]>
Date: Fri, 26 Jul 2019 20:38:07 -0400

Hi Ketan,

On Fri, Jul 26, 2019 at 7:11 PM Ketan Talaulikar (ketant)
<[email-masked]> wrote:
> ...

First sentence of the Abstract of RFC 7120:

   This memo describes the process for early allocation of code points
   by IANA from registries for which "Specification Required", "RFC
   Required", "IETF Review", or "Standards Action" policies apply.

Thanks,
Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 1424 Pro Shop Court, Davenport, FL 33896 USA
 [email-masked]

> ...